classification
Title: Typo in library/typing
Type: enhancement Stage: patch review
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, hectorcanto, miss-islington, remi.lapeyre, zihengcat
Priority: normal Keywords: patch

Created on 2020-05-23 16:55 by hectorcanto, last changed 2020-05-26 04:52 by miss-islington.

Pull Requests
URL Status Linked Edit
PR 20379 merged zihengcat, 2020-05-25 10:37
PR 20410 merged miss-islington, 2020-05-26 04:45
PR 20411 merged miss-islington, 2020-05-26 04:45
Messages (6)
msg369730 - (view) Author: Héctor Canto (hectorcanto) Date: 2020-05-23 16:55
I found a small typo here:
https://docs.python.org/3.8/library/typing.html?highlight=typing#typing.NewType

I checked also in other 3.x versions and it is there too.

Original:
A helper function to indicate a distinct types to a typechecker, see NewType

Possible solution (remove the "s" in types):
A helper function to indicate a distinct type to a typechecker, see NewType
msg369731 - (view) Author: Rémi Lapeyre (remi.lapeyre) * Date: 2020-05-23 17:32
Hi Héctor, can you open a new PR with those changes?
msg369735 - (view) Author: Héctor Canto (hectorcanto) Date: 2020-05-23 18:25
I'll try ASAP.
Héctor Canto

On Sat, 23 May 2020 at 19:33, Rémi Lapeyre <report@bugs.python.org> wrote:

>
> Rémi Lapeyre <remi.lapeyre@henki.fr> added the comment:
>
> Hi Héctor, can you open a new PR with those changes?
>
> ----------
> nosy: +remi.lapeyre
> versions:  -Python 3.5, Python 3.6, Python 3.7
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue40745>
> _______________________________________
>
msg369942 - (view) Author: miss-islington (miss-islington) Date: 2020-05-26 04:45
New changeset 2b0e654f91f28379c6c7ef5fd80e8754afb70935 by ziheng in branch 'master':
bpo-40745: Fix typos in NewType docs (GH-20379)
https://github.com/python/cpython/commit/2b0e654f91f28379c6c7ef5fd80e8754afb70935
msg369943 - (view) Author: miss-islington (miss-islington) Date: 2020-05-26 04:52
New changeset 6597e2af83e947d18706a3c2a463a7b728974a64 by Miss Islington (bot) in branch '3.9':
bpo-40745: Fix typos in NewType docs (GH-20379)
https://github.com/python/cpython/commit/6597e2af83e947d18706a3c2a463a7b728974a64
msg369944 - (view) Author: miss-islington (miss-islington) Date: 2020-05-26 04:52
New changeset b38bd8888a6e90741a989db2fe321e8b98d5a5c4 by Miss Islington (bot) in branch '3.8':
bpo-40745: Fix typos in NewType docs (GH-20379)
https://github.com/python/cpython/commit/b38bd8888a6e90741a989db2fe321e8b98d5a5c4
History
Date User Action Args
2020-05-26 04:52:58miss-islingtonsetmessages: + msg369944
2020-05-26 04:52:17miss-islingtonsetmessages: + msg369943
2020-05-26 04:45:55miss-islingtonsetpull_requests: + pull_request19671
2020-05-26 04:45:48miss-islingtonsetpull_requests: + pull_request19670
2020-05-26 04:45:41miss-islingtonsetnosy: + miss-islington
messages: + msg369942
2020-05-25 10:37:27zihengcatsetkeywords: + patch
nosy: + zihengcat

pull_requests: + pull_request19643
stage: patch review
2020-05-23 18:25:00hectorcantosetmessages: + msg369735
2020-05-23 17:32:56remi.lapeyresetnosy: + remi.lapeyre

messages: + msg369731
versions: - Python 3.5, Python 3.6, Python 3.7
2020-05-23 16:55:51hectorcantocreate